Reply to topic

Marble and Qt 5.6/5.7

sergemalo
Registered Member
Posts
1
Karma
0

Marble and Qt 5.6/5.7

Fri Jul 29, 2016 3:00 pm
Hi all,

My application is compiled using marble (branch KDE/4.13) and Qt 5.4.
Now, I need to update Qt to 5.6 (and maybe 5.7).

I'm having problems compiling marble for that version of Qt, because Qt5WebKit has been removed since Qt 5.6.

What is the best way to get around this?
Compile Qt5WebKit myself and add it to my new version of Qt?
Or is there a newer version of Marble that was ported to QtWebEngine?
Any other suggestion?

I'm trying to build under Ubuntu 14.04, but I will have to do so under Windows 10 too.

Thanks!
alirezakazemi
Registered Member
Posts
1
Karma
0

Re: Marble and Qt 5.6/5.7

Thu Feb 23, 2017 1:54 pm
Any update on this topic?

I hoped Marble team would be more active on updating/support of their comprehensive and good software/library.

Also is it planned to improve marble to true 3D earth/planet view including DEM/Terrain data (like google earth)? In that case generalizing the camera vector to get any 3D angle is also a required and interesting feature.
wolfi323
Registered Member
Posts
1121
Karma
11
OS

Re: Marble and Qt 5.6/5.7

Thu Feb 23, 2017 9:24 pm
sergemalo wrote:I'm having problems compiling marble for that version of Qt, because Qt5WebKit has been removed since Qt 5.6.

No, it hasn't.

Code: Select all
rpm -q libQt5WebKit5
libQt5WebKit5-5.8.0-150.1.x86_64


Compile Qt5WebKit myself and add it to my new version of Qt?

Well, if your distribution doesn't offer libQt5WebKit, that's what you would have to do I suppose...

Or is there a newer version of Marble that was ported to QtWebEngine?

Not as far as I know.

Any other suggestion?
I'm trying to build under Ubuntu 14.04, but I will have to do so under Windows 10 too.

Switch to a different and/or newer distribution... ;)
jleifer
Registered Member
Posts
3
Karma
0

Re: Marble and Qt 5.6/5.7

Tue May 09, 2017 3:04 pm
Another option,
they now have the source available for QtWebkit for newer versions of Qt

I'm running Qt5.7.1 and used these two links to successfully install QtWebKit and QtWebKitWidgets

QtWebKit source Download
http://download.qt.io/community_releases/5.7/5.7.1/

Install instructions
http://www.linuxfromscratch.org/blfs/view/svn/x/qtwebkit5.html

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], boudewijn, cmb, emonhaque, farid, ghevan, Google [Bot], kyrhammer, Mamarok, offpics, pasis, vperez, Yahoo [Bot]